com.creamtec.ajaxswing.laf.ui

## Class FrameBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - com.creamtec.ajaxswing.laf.ui.FrameBorder

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.border.Border, javax.swing.plaf.UIResource

      public class FrameBorder
      extends javax.swing.border.AbstractBorder
      implements javax.swing.plaf.UIResource

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `borderColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameBorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
    `java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets newInsets)`
    `void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int w, int h)`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### borderColor

          public static java.awt.Color borderColor

  - ### Constructor Detail

    - #### FrameBorder

          public FrameBorder()

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(java.awt.Component c,
                         java.awt.Graphics g,
                         int x,
                         int y,
                         int w,
                         int h)

      Specified by:
        `paintBorder` in interface `javax.swing.border.Border`
      Overrides:
        `paintBorder` in class `javax.swing.border.AbstractBorder`

    - #### getBorderInsets

          public java.awt.Insets getBorderInsets(java.awt.Component c)

      Specified by:
        `getBorderInsets` in interface `javax.swing.border.Border`
      Overrides:
        `getBorderInsets` in class `javax.swing.border.AbstractBorder`

    - #### getBorderInsets

          public java.awt.Insets getBorderInsets(java.awt.Component c,
                                        java.awt.Insets newInsets)

      Overrides:
        `getBorderInsets` in class `javax.swing.border.AbstractBorder`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.